package com.jay.monitor.data.server.store.mysql;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.enums.AlertMsgEnums;
import com.jay.monitor.data.server.models.config.AlertConfigModel;
import com.jay.monitor.data.server.models.config.AlertRuleConfigModel;
import com.jay.monitor.data.server.store.ConfigStoreManager;

/**
 * @Module 存储管理
 * @Description 基于mysql的配置
 * @Author liukaixiong
 * @Date 2021/1/15 10:46
 */
public class MysqlConfigStoreManager implements ConfigStoreManager {

    @Override
    public String getConsoleUrl() {
        return null;
    }

    @Override
    public String getLogMonitorUrl() {
        return null;
    }

    @Override
    public boolean alertEnable() {
        return false;
    }

    @Override
    public AlertConfigModel getAlertConfigModel(AlertMsgEnums alertMsgEnums) {
        return null;
    }

    @Override
    public AlertRuleConfigModel getAlertRuleConfigModel(MsgTypeEnums msgTypeEnums) {
        return null;
    }

    @Override
    public Long getAlertIntervalMinutes() {
        return null;
    }

    @Override
    public String getServerLogConsole() {
        return null;
    }
}
